Tryton - Issues

 

Issue2979

Title <ProtocolError for localhost:8000/afrispatial: 500 Internal Server Error>
Priority bug Status resolved
Superseder Nosy List ced, gavin
Type Components account_invoice
Assigned To ced Keywords
Reviews

Created on 2013-01-31.12:52:02 by gavin, last changed by ced.

Messages
msg12797 (view) Author: [hidden] (gavin) Date: 2013-03-24.19:37:38
confirmed, patch fixes issue, thank you.
msg12753 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-03-15.01:01:59
Fixed with rev 204118f95ae2
msg12747 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-03-14.01:12:19
Please test patch at review709004
msg12729 (view) Author: [hidden] (gavin) Date: 2013-03-12.15:21:59
upgraded to 2.6.3 and this still happening when I try to issue a credit with no
refund.
msg12445 (view) Author: [hidden] (gavin) Date: 2013-02-06.08:19:25
Have applied patches 659002 and 639002.

Still getting the error in the title, now with None in the trace (no longer the
content of msg12405 below).
msg12409 (view) Author: [hidden] (gavin) Date: 2013-01-31.15:38:46
this happened when issuing credit with no refund against invoice
msg12405 (view) Author: [hidden] (gavin) Date: 2013-01-31.12:53:16
(tryton:13055): LIBDBUSMENU-GTK-CRITICAL **: watch_submenu: assertion
`GTK_IS_MENU_SHELL(menu)' failed
/usr/local/lib/python2.7/dist-packages/trytond/model/fields/reference.py:68:
DeprecationWarning: With-statements now directly support multiple context managers
  Transaction().set_user(0)):
/usr/local/lib/python2.7/dist-packages/tryton/client.py:116: GtkWarning:
IA__gdk_error_trap_pop: assertion `gdk_error_traps != NULL' failed
  gtk.main()
ERROR:tryton.common.common:None

<ProtocolError for localhost:8000/afrispatial: 500 Internal Server Error>
/usr/local/lib/python2.7/dist-packages/tryton/common/common.py:563: GtkWarning:
IA__gdk_error_trap_pop: assertion `gdk_error_traps != NULL' failed
  response = dialog.run()
/usr/local/lib/python2.7/dist-packages/trytond/model/modelstorage.py:1338:
DeprecationWarning: With-statements now directly support multiple context managers
  Transaction().set_context(self._context)):
/usr/local/lib/python2.7/dist-packages/tryton/common/common.py:925: GtkWarning:
IA__gdk_error_trap_pop: assertion `gdk_error_traps != NULL' failed
  response = win.run()
msg12404 (view) Author: [hidden] (gavin) Date:
None
History
Date User Action Args
2013-03-24 19:48:24cedsetstatus: chatting -> resolved
2013-03-24 19:37:41gavinsetstatus: resolved -> chatting
messages: + msg12797
2013-03-15 01:02:03cedsetstatus: in-progress -> resolved
messages: + msg12753
2013-03-14 01:12:20cedsetstatus: chatting -> in-progress
assignedto: ced
component: + account_invoice
messages: + msg12747
nosy: + ced
2013-03-12 15:21:59gavinsetmessages: + msg12729
2013-02-06 08:19:26gavinsetmessages: + msg12445
2013-01-31 15:38:47gavinsetmessages: + msg12409
2013-01-31 12:53:17gavinsetstatus: unread -> chatting
messages: + msg12405
2013-01-31 12:52:02gavincreate

Showing 10 items. Show all history (warning: this could be VERY long)